Package org.apache.sling.models.spi

# Interface DisposalCallbackRegistry

@ConsumerType public interface DisposalCallbackRegistry
Interface which allows for the registration of DisposalCallback listeners. This interface should not be implemnted by clients.

## Method Summary

Modifier and Type
Method
Description
`void`
`addDisposalCallback(@NotNull DisposalCallback callback)`
Register a callback.

## Method Details

### addDisposalCallback

void addDisposalCallback(@NotNull @NotNull DisposalCallback callback)
Register a callback.

Parameters:
  `callback` - the callback to register